Loyalty.lt
Qr card scan

Generate QR Card Scan Session

Generate a QR code session for customer card identification. POS listens on the public realtime channel 'qr-card.{session_id}' for card data.

POST/{locale}/shop/qr-card/generate

Generate a QR code session for customer card identification. POS listens on the public realtime channel 'qr-card.{session_id}' for card data.

Authorization

apiKey apiSecret
X-API-Key<token>

Partner API key from the Partners Portal. Always sent together with X-API-Secret.

In: header

X-API-Secret<token>

Partner API secret. Always sent together with X-API-Key.

In: header

Path Parameters

locale*string

Locale code

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/lt/shop/qr-card/generate" \  -H "Content-Type: application/json" \  -d '{}'
{  "success": true,  "data": {    "session_id": "550e8400-e29b-41d4-a716-446655440000",    "qr_code": "loyaltylt://qr-card?code=abcd1234&session=550e8400...",    "manual_code": "481-205-937",    "realtime_channel": "qr-card.550e8400-e29b-41d4-a716-446655440000",    "partner_name": "Partner Name",    "expires_at": "2019-08-24T14:15:22Z"  }}